lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "progimage/version"

Gem::Specification.new do |spec|
  spec.name          = "progimage"
  spec.version       = Progimage::VERSION
  spec.authors       = ["Romain Campech"]
  spec.email         = ["romain.campech@gmail.com"]
  spec.date          = Time.now.utc.strftime("%Y-%m-%d")
  spec.summary       = "Simple wrapper for the ProgImage API"
  spec.homepage      = "https://github.com/Lacampe/progimage"
  spec.license       = "MIT"
  spec.files         = %w(CODE_OF_CONDUCT.md LICENSE.txt progimage.gemspec Rakefile README.md)
  spec.files         += Dir.glob("lib/**/*.rb")
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "faraday", "~> 0.15.4"
  spec.add_development_dependency "bundler", "~> 1.17"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
